MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025367Open CASCADE[OCCT] OCCT:Foundation Classespublic2014-10-14 14:332017-10-01 19:33
Reporterpdn 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025367: IGES and BRep persistence - support unicode file names on Windows
DescriptionSupport of Unicode file names in IGES and BRep file operations
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023626closedbugmaster Open CASCADE It's impossible to open files containing localisation characters in the name 
related to 0029081closedabv Community Foundation Classes, OSD_OpenStream - handle UNICODE file paths specifically in case of Mingw-w64 
child of 0022484closedbugmaster Open CASCADE UNICODE characters support. 

-  Notes
(0033079)
git (administrator)
2014-10-14 19:14

Branch CR25367 has been created by pdn.

SHA-1: cfc94c65bec9b91eb9729a71af838eee92374bc2


Detailed log of new commits:

Author: pdn
Date: Tue Oct 14 19:14:10 2014 +0400

    0025367: IGES and BRep persistence - support unicode file names on Windows
    
    Fixed for IGES read write and BRep read write
(0033084)
git (administrator)
2014-10-14 19:43

Branch CR25367 has been updated forcibly by pdn.

SHA-1: 9a8b1280a322a0312aed9998301351b879502038
(0033085)
kgv (developer)
2014-10-14 19:51

Please test the patch.
(0033093)
kgv (developer)
2014-10-15 09:25

Dear Pavel,

the solution is not systematic and messy. There are still a lot of not handled file routines which behave in the old way.

Please create wrappers like "Standard::Fopen (const char* theFileName, const char* theMode)" and similar for std::ifstream/std::ofstream instead of duplicating #ifdef as we have Sprintf()/Atof().
(0033329)
git (administrator)
2014-10-20 14:12

Branch CR25367_1 has been created by pdn.

SHA-1: c8ca6b0803f6e14959f1f66879277f8b3c8625a3


Detailed log of new commits:

Author: pdn
Date: Mon Oct 20 14:12:25 2014 +0400

    Remarks on revision considered
(0033330)
pdn (developer)
2014-10-20 14:13

Please review
(0033343)
git (administrator)
2014-10-20 16:27

Branch CR25367_1 has been updated by pdn.

SHA-1: 2606b4fcf2c21797039aa9a4dee2639251936b3d


Detailed log of new commits:

Author: pdn
Date: Mon Oct 20 16:27:11 2014 +0400

    Remarks considered

(0033344)
git (administrator)
2014-10-20 16:37

Branch CR25367_1 has been updated by pdn.

SHA-1: 96e039f0b417cf4d143abfaaeeaaeaaea92c0bae


Detailed log of new commits:

Author: pdn
Date: Mon Oct 20 16:37:09 2014 +0400

    Formatting changes

(0033346)
kgv (developer)
2014-10-20 16:57

Please test updated patch.
(0033387)
mkv (tester)
2014-10-21 15:21

Dear pdn,
could you please rebase CR25367_1 on current master, there are conflict files.
(0033529)
git (administrator)
2014-10-22 11:43

Branch CR25367_1 has been updated by pdn.

SHA-1: 8e353aa11640ad6459d9dea6974cac407e51486b


Detailed log of new commits:

Author: pdn
Date: Wed Oct 22 11:43:05 2014 +0400

    Merge branch 'CR25367_1' of git.dev.opencascade.org:occt into CR25367_1

Author: pdn
Date: Wed Oct 22 11:38:42 2014 +0400

    Update of names

Author: pdn
Date: Mon Oct 20 16:37:09 2014 +0400

    Formatting changes

Author: pdn
Date: Mon Oct 20 16:27:11 2014 +0400

    Remarks considered

Author: pdn
Date: Mon Oct 20 14:12:25 2014 +0400

    Remarks on revision considered
    
    Conflicts:
        src/Image/Image_AlienPixMap.cxx

(0033533)
shoogen (reporter)
2014-10-22 12:03

I don't have src/OSD/OSD_FileOpen.cxx
(0033536)
git (administrator)
2014-10-22 12:17

Branch CR25367_1 has been updated forcibly by pdn.

SHA-1: 59d984efbade9200af9d9cdd12e1780bdf2c1a4a
(0033538)
abv (manager)
2014-10-22 12:21

OSD_FileOpen has been renamed to OSD_OpenFile
(0033543)
shoogen (reporter)
2014-10-22 12:53

I meant that neither OSD_FileOpen nor OSD_OpenFile were present in 8e353aa11640ad6459d9dea6974cac407e51486b
(0033544)
abv (manager)
2014-10-22 12:57

Yes, that commit was broken
(0033570)
git (administrator)
2014-10-22 16:33

Branch CR25367_1 has been updated by kgv.

SHA-1: 351333e89125033a80dde5b50f27fe41a7e2cdb7


Detailed log of new commits:

Author: kgv
Date: Wed Oct 22 16:33:39 2014 +0400

    cosmetics

(0033571)
kgv (developer)
2014-10-22 16:36

Please test branch CR25367_1.
(0033633)
mkv (tester)
2014-10-23 13:08

Dear BugMaster,
Branch CR25367 from occt git-repository was compiled on Linux and Windows platforms.
SHA-1: 351333e89125033a80dde5b50f27fe41a7e2cdb7

There are following compilation errors:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25367_1/job/mnt-CR25367_1-master_build_occt_linux/1/parsed_console/ [^]
In file included from ../../../../inc/OSD_OpenFile.hxx:25,
from ../../../../src/FSD/FSD_BinaryFile.cxx:17:
../../../../inc/OSD_WNT.hxx: At global scope:
../../../../inc/OSD_WNT.hxx:32: error: variable or field ‘__declspec’ declared void
../../../../inc/OSD_WNT.hxx:32: error: ‘dllimport’ was not declared in this scope
../../../../inc/OSD_WNT.hxx:34: error: ‘dllimport’ was not declared in this scope
../../../../inc/OSD_WNT.hxx:34: error: expected ‘,’ or ‘;’ before ‘*’ token
../../../../inc/OSD_WNT.hxx:35: error: variable or field ‘__declspec’ declared void
../../../../inc/OSD_WNT.hxx:35: error: ‘dllimport’ was not declared in this scope
../../../../inc/OSD_WNT.hxx:36: error: conflicting declaration ‘int __declspec’
../../../../inc/OSD_WNT.hxx:34: error: ‘__declspec’ has a previous declaration as ‘std::ostream __declspec’
../../../../inc/OSD_WNT.hxx:36: error: ‘dllimport’ was not declared in this scope
In file included from ../../../../src/FSD/FSD_BinaryFile.cxx:17:
../../../../inc/OSD_OpenFile.hxx:31: error: expected constructor, destructor, or type conversion before ‘(’ token
../../../../inc/OSD_OpenFile.hxx:39: error: expected constructor, destructor, or type conversion before ‘(’ token
../../../../inc/OSD_OpenFile.hxx:47: error: expected constructor, destructor, or type conversion before ‘(’ token
../../../../src/FSD/FSD_BinaryFile.cxx: In member function ‘virtual Storage_Error FSD_BinaryFile::Open(const TCollection_AsciiString&, Storage_OpenMode)’:
../../../../src/FSD/FSD_BinaryFile.cxx:86: error: ‘OSD_OpenFile’ was not declared in this scope
../../../../src/FSD/FSD_BinaryFile.cxx:89: error: ‘OSD_OpenFile’ was not declared in this scope
../../../../src/FSD/FSD_BinaryFile.cxx:92: error: ‘OSD_OpenFile’ was not declared in this scope
../../../../src/FSD/FSD_BinaryFile.cxx: In member function ‘virtual Storage_Error FSD_BinaryFile::BeginWriteInfoSection()’:
../../../../src/FSD/FSD_BinaryFile.cxx:418: warning: dereferencing type-punned pointer will break strict-aliasing rules
make[2]: *** [FSD_BinaryFile.lo] Error 1

http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25367_1/job/mnt-CR25367_1-master_build_occt_windows/2/parsed_console/ [^]
28>d:\builds\vc10\CR25367-1-master-occt\inc\OSD_OpenFile.hxx(57): warning C4431: missing type specifier - int assumed. Note: C no longer supports default-int
28>d:\builds\vc10\CR25367-1-master-occt\inc\OSD_OpenFile.hxx(57): error C2054: expected '(' to follow 'OSDAPI'
28>d:\builds\vc10\CR25367-1-master-occt\inc\OSD_OpenFile.hxx(58): error C2085: 'OSD_OpenFile' : not in formal parameter list
28>..\..\..\src\StepFile\stepread.c(44): error C2085: 'lastno' : not in formal parameter list
28>..\..\..\src\StepFile\stepread.c(45): error C2085: 'steplineno' : not in formal parameter list
28>..\..\..\src\StepFile\stepread.c(47): error C2085: 'StepFile_Interrupt' : not in formal parameter list
28>..\..\..\src\StepFile\stepread.c(48): error C2085: 'stepparse' : not in formal parameter list
28>..\..\..\src\StepFile\stepread.c(49): error C2085: 'rec_debfile' : not in formal parameter list
28>..\..\..\src\StepFile\stepread.c(50): error C2085: 'steprestart' : not in formal parameter list
28>..\..\..\src\StepFile\stepread.c(51): error C2085: 'rec_finfile' : not in formal parameter list
28>..\..\..\src\StepFile\stepread.c(54): error C2085: 'steperror' : not in formal parameter list
28>..\..\..\src\StepFile\stepread.c(54): error C2143: syntax error : missing ';' before '{'
28>..\..\..\src\StepFile\stepread.c(88): warning C4013: 'OSD_OpenFile' undefined; assuming extern returning int
28>..\..\..\src\StepFile\stepread.c(88): warning C4047: '=' : 'FILE *' differs in levels of indirection from 'int'
28>..\..\..\src\StepFile\stepread.c(111): error C2065: 'lastno' : undeclared identifier
28>..\..\..\src\StepFile\stepread.c(113): warning C4013: 'rec_debfile' undefined; assuming extern returning int
28>..\..\..\src\StepFile\stepread.c(114): warning C4013: 'steprestart' undefined; assuming extern returning int
28>..\..\..\src\StepFile\stepread.c(115): warning C4013: 'stepparse' undefined; assuming extern returning int
28>..\..\..\src\StepFile\stepread.c(116): warning C4013: 'rec_finfile' undefined; assuming extern returning int
28>
28>Build FAILED.
(0033644)
git (administrator)
2014-10-23 15:08

Branch CR25367_1 has been updated by abv.

SHA-1: 42228c209ea319d96f339efaef5558aeacbdeb3d


Detailed log of new commits:

Author: abv
Date: Thu Oct 23 15:08:30 2014 +0400

    Fix compilation problem

(0033645)
abv (manager)
2014-10-23 15:09

Compilation problem fixed, please test
(0033700)
git (administrator)
2014-10-24 19:07

Branch CR25367_1 has been updated forcibly by mkv.

SHA-1: c232a3fa56569fff83e490958b51618e22f38452
(0033715)
mkv (tester)
2014-10-27 11:54

Dear BugMaster,
Branch CR25367_1 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: c232a3fa56569fff83e490958b51618e22f38452

There are compilation errors on Linux platform:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25367_1/job/mnt-CR25367_1-master_build_occt_linux/1/parsed_console/ [^]
../../../../src/OSD/OSD_OpenFile.cxx: In function ‘void OSD_OpenFileBuf(std::filebuf&, const char*, int)’:
../../../../src/OSD/OSD_OpenFile.cxx:50: error: invalid conversion from ‘int’ to ‘std::_Ios_Openmode’
../../../../src/OSD/OSD_OpenFile.cxx:50: error: initializing argument 2 of ‘std::basic_filebuf<_CharT, _Traits>* std::basic_filebuf<_CharT, _Traits>::open(const char*, std::_Ios_Openmode) [with _CharT = char, _Traits = std::char_traits<char>]’
../../../../src/OSD/OSD_OpenFile.cxx: In function ‘void OSD_OpenStream(std::ofstream&, const char*, int)’:
../../../../src/OSD/OSD_OpenFile.cxx:67: error: invalid conversion from ‘int’ to ‘std::_Ios_Openmode’
../../../../src/OSD/OSD_OpenFile.cxx:67: error: initializing argument 2 of ‘void std::basic_ofstream<_CharT, _Traits>::open(const char*, std::_Ios_Openmode) [with _CharT = char, _Traits = std::char_traits<char>]’

Number of compiler warnings:

occt component :
Windows: 0 (0 on master)

products component :
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR25367-1-master-occt/Windows-32-VC10/summary.html [^]
(0033782)
git (administrator)
2014-10-28 17:50

Branch CR25367_1 has been updated by pdn.

SHA-1: 67aba5e5f715639f8553880b71209ff4e78e6e4b


Detailed log of new commits:

Author: pdn
Date: Tue Oct 28 18:50:07 2014 +0400

    Fix of linux compilation errors

(0033783)
pdn (developer)
2014-10-28 17:53

Compilation errors fixed
(0033784)
kgv (developer)
2014-10-28 17:56

Please test updated branch.
(0033801)
mkv (tester)
2014-10-29 10:21

Dear BugMaster,
Branch CR25367_1 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 67aba5e5f715639f8553880b71209ff4e78e6e4b

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR25367-1-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR25367-1-master-occt/Windows-32-VC10/summary.html [^]
http://occt-tests/CR25367-1-master-products/Windows-32-VC10/summary.html [^]
(0033911)
git (administrator)
2014-10-30 19:40

Branch CR25367_1 has been updated by pdn.

SHA-1: 49285e84d7cc90887b71950934aaa4794283641d


Detailed log of new commits:

Author: pdn
Date: Thu Oct 30 20:40:03 2014 +0400

    Fix for test errors

(0033914)
kgv (developer)
2014-10-30 22:27

Dear Pavel,

+  // conversion in UTF-8 for linux
+  Standard_Integer aLen = theName.LengthOfCString();
+  Standard_PCharacter aCstr = (Standard_PCharacter) Standard::Allocate(aLen+1);
+  theName.ToUTF8CString(aCstr);
+  aFile = ::fopen (aCstr, theMode);
+  Standard::Free(aCstr);

string conversion with ad-hoc memory allocation looks extremely bad here.
Please make method in TCollection_ExtendedString returning TCollection_AsciiString similar to NCollection_UtfString::ToUtf8() or use NCollection_UtfString::FromUnicode() directly.
(0033915)
git (administrator)
2014-10-30 22:29

Branch CR25367_1 has been updated by kgv.

SHA-1: 8552297136400fefc5ec91e7c6be14cabd78a718


Detailed log of new commits:

Author: kgv
Date: Thu Oct 30 22:29:32 2014 +0300

    remove broken comments

(0033935)
git (administrator)
2014-10-31 13:12

Branch CR25367_1 has been updated by pdn.

SHA-1: 2e6a4da060b6900b7406ecff1c7cc1f97ba5c88d


Detailed log of new commits:

Author: pdn
Date: Fri Oct 31 13:11:13 2014 +0400

    Merge branch 'CR25367_1' of git.dev.opencascade.org:occt into CR25367_1

Author: pdn
Date: Fri Oct 31 13:10:27 2014 +0400

    Remarks considered

(0033951)
git (administrator)
2014-10-31 15:22

Branch CR25367_2 has been created by pdn.

SHA-1: a4f018c28423faa727e169288147a38a6303a7ac


Detailed log of new commits:

Author: pdn
Date: Wed Oct 22 12:17:10 2014 +0400

    0025367: IGES and BRep persistence - support unicode file names on Windows
    
    OSD_OpenFile.hxx header is created for using in file open operations with Unicode names.
(0033956)
git (administrator)
2014-10-31 15:45

Branch CR25367_2 has been updated by kgv.

SHA-1: 92f4c36e9296ab203e87b752b43ca498ed99f21c


Detailed log of new commits:

Author: kgv
Date: Fri Oct 31 15:45:21 2014 +0300

    fix merge issues

(0033957)
kgv (developer)
2014-10-31 15:46

Please test branch CR25367_2.
(0033958)
git (administrator)
2014-10-31 15:47

Branch CR25367_2 has been updated forcibly by pdn.

SHA-1: 39449bc2d1576b7d53a5faa0faa2c4f026a92102
(0033962)
git (administrator)
2014-10-31 16:23

Branch CR25367_2 has been updated forcibly by mkv.

SHA-1: f65e41119f05c245e0144af8f9e1310cd2d9a433
(0034021)
mkv (tester)
2014-11-05 11:00

Dear BugMaster,
Branch CR25367_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f65e41119f05c245e0144af8f9e1310cd2d9a433

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests.nnov.opencascade.com/CR25367-2-master-occt/Windows-32-VC10/summary.html [^]
http://occt-tests.nnov.opencascade.com/CR25367-2-master-products/Windows-32-VC10/summary.html [^]

Testing cases:


Testing on Linux:
occt component :
Total MEMORY difference: 372885092 / 373141836
Total CPU difference: 46486.67000000014 / 48561.76000000008
products component :
Total MEMORY difference: 127805256 / 127914184
Total CPU difference: 16960.999999999985 / 17273.44

Testing on Windows:
occt component :
Total MEMORY difference: 230230180 / 230913588
Total CPU difference: 23469.21875 / 24026.46875
products component :
Total MEMORY difference: 71102356 / 70338740
Total CPU difference: 10637.25 / 12814.40625

There are no differences in images found by testdiff
(0034028)
git (administrator)
2014-11-05 12:24

Branch CR25367_2 has been updated by pdn.

SHA-1: 8ba082fe937133b91a086525834adb8aefda4f9c


Detailed log of new commits:

Author: pdn
Date: Wed Nov 5 13:21:54 2014 +0400

    Fix for STEP files reading.

(0034029)
kgv (developer)
2014-11-05 12:28

Please test updated patch.
(0034067)
mkv (tester)
2014-11-05 17:57

Dear BugMaster,
Branch CR25367_2 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: f65e41119f05c245e0144af8f9e1310cd2d9a433

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:


Testing on Linux:
occt component :
Total MEMORY difference: 372761184 / 373152120
Total CPU difference: 47228.02000000007 / 48561.92000000008
products component :
Total MEMORY difference: 126200348 / 126235284
Total CPU difference: 16836.549999999956 / 17116.759999999987

Testing on Windows:
occt component :
Total MEMORY difference: 273501708 / 274394268
Total CPU difference: 32943.203125 / 34083.171875
products component :
Total MEMORY difference: 83025624 / 70587484
Total CPU difference: 10212.484375 / 13181.484375

There are no differences in images found by testdiff.
(0034244)
git (administrator)
2014-11-12 08:55

Branch CR25367 has been deleted by kgv.

SHA-1: 9a8b1280a322a0312aed9998301351b879502038
(0034245)
git (administrator)
2014-11-12 08:55

Branch CR25367_1 has been deleted by kgv.

SHA-1: 2e6a4da060b6900b7406ecff1c7cc1f97ba5c88d
(0034246)
git (administrator)
2014-11-12 08:55

Branch CR25367_2 has been deleted by kgv.

SHA-1: 8ba082fe937133b91a086525834adb8aefda4f9c

- Related Changesets
occt: master 94708556
Timestamp: 2014-10-22 08:17:10
Author: pdn
Committer: bugmaster
Details ] Diff ]
0025367: IGES and BRep persistence - support unicode file names on Windows

OSD_OpenFile.hxx header is created for using in file open operations with Unicode names.

Fix for STEP files reading.

Adding test cases for issue 25367
Update test case for issue 25364
Update test cases due to improvements
mod - src/BRepTools/BRepTools.cxx Diff ] File ]
mod - src/FSD/FSD_BinaryFile.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionFile.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionPilot.cxx Diff ] File ]
mod - src/IGESControl/IGESControl_Writer.cxx Diff ] File ]
mod - src/IGESFile/igesread.c Diff ] File ]
mod - src/IGESSelect/IGESSelect_WorkLibrary.cxx Diff ] File ]
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]
mod - src/Message/Message_MsgFile.cxx Diff ] File ]
mod - src/OSD/FILES Diff ] File ]
add - src/OSD/OSD_OpenFile.cxx Diff ] File ]
add - src/OSD/OSD_OpenFile.hxx Diff ] File ]
mod - src/RWStl/RWStl.cxx Diff ] File ]
mod - src/StdResource/XCAF Diff ] File ]
mod - src/StepFile/StepFile_Read.cxx Diff ] File ]
mod - src/StepFile/stepread.c Diff ] File ]
mod - src/StepSelect/StepSelect_WorkLibrary.cxx Diff ] File ]
mod - src/TObj/TObj_Model.cxx Diff ] File ]
mod - src/Voxel/Voxel_Reader.cxx Diff ] File ]
mod - src/Voxel/Voxel_Writer.cxx Diff ] File ]
mod - src/VrmlAPI/VrmlAPI_Writer.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.cxx Diff ] File ]
add - tests/bugs/fclasses/bug25367_brep Diff ] File ]
add - tests/bugs/fclasses/bug25367_igs Diff ] File ]
mod - tests/bugs/mesh/bug25364 Diff ] File ]
mod - tests/bugs/moddata_2/bug22993 Diff ] File ]
mod - tests/bugs/step/bug133_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-14 14:33 pdn New Issue
2014-10-14 14:33 pdn Assigned To => abv
2014-10-14 14:43 kgv Assigned To abv => pdn
2014-10-14 14:43 kgv Status new => assigned
2014-10-14 14:46 kgv Summary Support unicode in IGES and BRep reading => IGES and BRep persistence - support unicode file names on Windows
2014-10-14 14:46 kgv Description Updated View Revisions
2014-10-14 16:49 kgv Relationship added child of 0022484
2014-10-14 19:14 git Note Added: 0033079
2014-10-14 19:14 pdn Assigned To pdn => kgv
2014-10-14 19:14 pdn Status assigned => resolved
2014-10-14 19:43 git Note Added: 0033084
2014-10-14 19:51 kgv Note Added: 0033085
2014-10-14 19:51 kgv Assigned To kgv => bugmaster
2014-10-14 19:51 kgv Status resolved => reviewed
2014-10-15 09:25 kgv Note Added: 0033093
2014-10-15 09:25 kgv Assigned To bugmaster => pdn
2014-10-15 09:25 kgv Status reviewed => assigned
2014-10-15 14:21 bugmaster Project LPKF => Open CASCADE
2014-10-20 14:12 git Note Added: 0033329
2014-10-20 14:13 pdn Note Added: 0033330
2014-10-20 14:13 pdn Assigned To pdn => kgv
2014-10-20 14:13 pdn Status assigned => resolved
2014-10-20 16:27 git Note Added: 0033343
2014-10-20 16:37 git Note Added: 0033344
2014-10-20 16:57 kgv Note Added: 0033346
2014-10-20 16:57 kgv Assigned To kgv => bugmaster
2014-10-20 16:57 kgv Status resolved => reviewed
2014-10-21 14:49 mkv Assigned To bugmaster => mkv
2014-10-21 15:21 mkv Note Added: 0033387
2014-10-21 15:21 mkv Assigned To mkv => pdn
2014-10-21 15:21 mkv Status reviewed => feedback
2014-10-22 11:43 git Note Added: 0033529
2014-10-22 12:03 shoogen Note Added: 0033533
2014-10-22 12:17 git Note Added: 0033536
2014-10-22 12:17 pdn Assigned To pdn => kgv
2014-10-22 12:17 pdn Status feedback => resolved
2014-10-22 12:21 abv Note Added: 0033538
2014-10-22 12:53 shoogen Note Added: 0033543
2014-10-22 12:57 abv Note Added: 0033544
2014-10-22 16:33 git Note Added: 0033570
2014-10-22 16:36 kgv Note Added: 0033571
2014-10-22 16:36 kgv Assigned To kgv => bugmaster
2014-10-22 16:36 kgv Status resolved => reviewed
2014-10-22 18:50 mkv Assigned To bugmaster => mkv
2014-10-23 13:08 mkv Note Added: 0033633
2014-10-23 13:08 mkv Assigned To mkv => abv
2014-10-23 13:08 mkv Status reviewed => assigned
2014-10-23 15:08 git Note Added: 0033644
2014-10-23 15:09 abv Status assigned => resolved
2014-10-23 15:09 abv Note Added: 0033645
2014-10-23 15:09 abv Assigned To abv => bugmaster
2014-10-23 15:09 abv Status resolved => reviewed
2014-10-24 18:11 mkv Assigned To bugmaster => mkv
2014-10-24 19:07 git Note Added: 0033700
2014-10-27 11:54 mkv Note Added: 0033715
2014-10-27 11:54 mkv Assigned To mkv => abv
2014-10-27 11:54 mkv Status reviewed => assigned
2014-10-28 17:50 git Note Added: 0033782
2014-10-28 17:53 pdn Note Added: 0033783
2014-10-28 17:53 pdn Assigned To abv => kgv
2014-10-28 17:53 pdn Status assigned => resolved
2014-10-28 17:56 kgv Note Added: 0033784
2014-10-28 17:56 kgv Assigned To kgv => bugmaster
2014-10-28 17:56 kgv Status resolved => reviewed
2014-10-28 17:59 mkv Assigned To bugmaster => mkv
2014-10-29 10:21 mkv Note Added: 0033801
2014-10-29 10:21 mkv Assigned To mkv => pdn
2014-10-29 10:21 mkv Status reviewed => assigned
2014-10-30 19:40 git Note Added: 0033911
2014-10-30 19:43 pdn Assigned To pdn => kgv
2014-10-30 19:43 pdn Status assigned => resolved
2014-10-30 22:27 kgv Note Added: 0033914
2014-10-30 22:27 kgv Assigned To kgv => pdn
2014-10-30 22:27 kgv Status resolved => assigned
2014-10-30 22:29 git Note Added: 0033915
2014-10-31 12:16 pdn Assigned To pdn => kgv
2014-10-31 12:16 pdn Status assigned => resolved
2014-10-31 13:12 git Note Added: 0033935
2014-10-31 15:22 git Note Added: 0033951
2014-10-31 15:45 git Note Added: 0033956
2014-10-31 15:46 kgv Note Added: 0033957
2014-10-31 15:46 kgv Assigned To kgv => bugmaster
2014-10-31 15:46 kgv Status resolved => reviewed
2014-10-31 15:47 git Note Added: 0033958
2014-10-31 16:04 mkv Assigned To bugmaster => mkv
2014-10-31 16:23 git Note Added: 0033962
2014-11-05 11:00 mkv Note Added: 0034021
2014-11-05 11:00 mkv Assigned To mkv => pdn
2014-11-05 11:00 mkv Status reviewed => assigned
2014-11-05 12:24 git Note Added: 0034028
2014-11-05 12:26 pdn Assigned To pdn => kgv
2014-11-05 12:26 pdn Status assigned => resolved
2014-11-05 12:28 kgv Assigned To kgv => bugmaster
2014-11-05 12:28 kgv Status resolved => reviewed
2014-11-05 12:28 kgv Note Added: 0034029
2014-11-05 17:57 mkv Note Added: 0034067
2014-11-05 17:57 mkv Status reviewed => tested
2014-11-06 15:18 bugmaster Changeset attached => occt master 94708556
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 08:55 git Note Added: 0034244
2014-11-12 08:55 git Note Added: 0034245
2014-11-12 08:55 git Note Added: 0034246
2014-11-25 16:45 abv Relationship added related to 0023626
2017-10-01 19:33 abv Relationship added related to 0029081


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker